%global dlrn_nvr proliantutils-2.9.1-2.20230801100316.28291c6
%global dlrn 1
%define upstream_version 2.9.1
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}}

Name:           python-proliantutils
Summary:        Client Library for interfacing with various devices in HP Proliant Servers
Version: 2.9.1
Release: 2.20230801100316.28291c6%{?dist}
License:        ASL 2.0
URL:            https://github.com/openstack/proliantutils

Source0: proliantutils-2.9.1-2.20230801100316.28291c6.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=28291c6647031a9f004f6659a079370b1b48f669
Patch0001: 0001-Fixes-caching-of-ilo-instances-to-use-admin-credenti.patch

BuildArch:      noarch

%description
Client Library for interfacing with various devices in HP Proliant Servers

%package -n     python%{pyver}-proliantutils
Summary:        Client Library for interfacing with various devices in HP Proliant Servers
%{?python_provide:%python_provide python%{pyver}-proliantutils}

BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  openstack-macros
Requires: python%{pyver}-six >= 1.10.0
Requires: python%{pyver}-oslo-concurrency >= 3.8.0
Requires: python%{pyver}-oslo-utils  >= 3.20.0
Requires: python%{pyver}-oslo-serialization >= 1.10.0
Requires: python%{pyver}-jsonschema
Requires: python%{pyver}-requests
Requires: python%{pyver}-sushy >= 1.8.0
Requires: python%{pyver}-pbr >= 2.0.0

# Handle python2 exception
%if %{pyver} == 2
Requires: pysnmp
Requires: python-retrying
%else
Requires: python%{pyver}-pysnmp
Requires: python%{pyver}-retrying
%endif

%prep
%autosetup -v -p 1 -n proliantutils-%{upstream_version}

rm -rf *.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{pyver_build}

%install
%{pyver_install}

%description -n     python%{pyver}-proliantutils
Client Library for interfacing with various devices in HP Proliant Servers

%files -n     python%{pyver}-proliantutils
%license LICENSE
%doc README.rst
%{pyver_sitelib}/proliantutils*
%exclude %{pyver_sitelib}/proliantutils/*test*

%changelog
* Tue Aug 01 2023 OSP Prod Chain <dev-null@redhat.com> 2.9.1-2.20230801100316.28291c6
- Update patches

* Mon Jul 31 2023 OSP Prod Chain <dev-null@redhat.com> 2.9.1-2.20230731085047.28291c6
- Fixes caching of ilo instances to use admin credentials (rhbz#2222048)

* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 2.9.1-2.20220110192459.28291c6
- Update patches

* Thu Jun 03 2021 CPaaS User <cpaas-ops@redhat.com> - 2.9.1-2.20210527164517.28291c6.1
- Bump release

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 2.9.1-2.20210527164517.28291c6
- Update patches

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> 2.9.1-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 2.9.1-1
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 2.9.1-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 2.9.1-1
- Update patches

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 2.9.1-1
- Update patches
- Follow-up patch for UEFI iSCSI boot nic adapter fix
- Fixed problem with UEFI iSCSI boot for adapters
- Enable session based authentication used by sushy
- Fixes the storage capabilities
- Cache the IloClient object creation
- Updated README file
- Adds support to get disk types
- Removes filter on the bios settings.
- OOB disk-erase for ilo5 based Proliant Servers
- iLO firmware update fails with 'update_firmware_sum'
- Remove checked in copy of the ChangeLog
- Changing warning to debug
- Switch to the new tox constraints file usage and location
- Use six.moves for reloading a module
- Add unit tests for python 3.6/3.7
- Remove checked in version of AUTHORS
- Finish conversion to stestr
- Add a .gitreview file to point to the gerrit instance
- Updates ChangeLog for proliantutils release 2.8.4
- Adding changes for tox failure
- Adding fix for nic_capacity calculation
- jsonschema3.0.1: Uncap jsonschema
- Jsonschema 3.0.1: Binds the raid schema to draft-04
- Updates ChangeLog for proliantutils release 2.8.2
- Adding changes to support sushy virtual media
- Updates ChangeLog for proliantutils release 2.8.1
- Revert "Add NIC inspection for Gen9"
- Updates ChangeLog for proliantutils release 2.8.0
- Added support for IPv6 network
- Inband disk erase support for SSD disk drives
- Add NIC inspection for Gen9
- Use Sushy caching decorators
- Adds changes in hpssa validator to support '10','50,'60' raid level

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 2.9.1-1
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 2.9.1-1
- Update patches

* Tue Sep 24 2019 OSP Prod Chain <dev-null@redhat.com> 2.9.1-1
- Update patches

* Mon Sep 23 2019 RDO <dev@lists.rdoproject.org> 2.9.1-1
- Update to 2.9.1


